Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.export.tiff
Class TIFFWriter

    java.lang.Object
      info.bioinfweb.treegraph.graphics.export.AbstractGraphicWriter
          info.bioinfweb.treegraph.graphics.export.SVGTranscodeWriter
              info.bioinfweb.treegraph.graphics.export.tiff.TIFFWriter

All Implemented Interfaces:
  GraphicWriter

    public class TIFFWriter

extends SVGTranscodeWriter
implements GraphicWriter

Field Summary
`static String` | `DEFAULT_COMPRESSION_METHOD`
`static String` | `KEY_TIFF_COMPRESSION_METHOD`

Fields inherited from interface info.bioinfweb.treegraph.graphics.export.GraphicWriter
`KEY_DIMENSIONS_IN_PIXELS, KEY_HEIGHT, KEY_PIXELS_PER_MILLIMETER, KEY_TRANSPARENT, KEY_WIDTH`

Constructor Summary
`TIFFWriter()`

Method Summary
`protected void` | `addTranscodingHints(org.apache.batik.transcoder.Transcoder transcoder, GraphicWriterHints writerHints)` This method can be overwritten to add more transcoding hints to the transcoder.

Methods inherited from class info.bioinfweb.treegraph.graphics.export.SVGTranscodeWriter
`write`

Methods inherited from class info.bioinfweb.treegraph.graphics.export.AbstractGraphicWriter
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.graphics.export.GraphicWriter
`write, write`

Field Detail

### KEY_TIFF_COMPRESSION_METHOD

    public static final String KEY_TIFF_COMPRESSION_METHOD

See Also:
  Constant Field Values

### DEFAULT_COMPRESSION_METHOD

    public static final String DEFAULT_COMPRESSION_METHOD

See Also:
  Constant Field Values

Constructor Detail

### TIFFWriter

    public TIFFWriter()

Method Detail

### addTranscodingHints

    protected void addTranscodingHints(org.apache.batik.transcoder.Transcoder transcoder,
                                       GraphicWriterHints writerHints)

  Description copied from class: `SVGTranscodeWriter`

  This method can be overwritten to add more transcoding hints to the transcoder. This can e.g. be done by copying graphic writer hints to transcoding hints.

  Note that `KEY_PIXEL_UNIT_TO_MILLIMETER`, `KEY_WIDTH`, `KEY_HEIGHT` and `KEY_BACKGROUND_COLOR` (the brackground color for formats which do not support transparency) have already been added.

  Overrides:
    `addTranscodingHints` in class `SVGTranscodeWriter`
  Parameters:
    `transcoder` - the transcoder that transcodes from SVG to the respective image format
    `writerHints` - the hints that were specified when the `write`-method of this writer was called

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD